# To bootstrap:
#  build this first without IJS support
#  build ghostscript
#  build this with IJS support re-enabled

%ifnos darwin
%define __defattr       %defattr(-,root,root)
%define __libexecdir	%{_libdir}
%else
%define __defattr       %defattr(-,root,wheel)
%define __libexecdir	/usr/libexec
%endif

Summary: A collection of high-quality printer drivers.
Name: gimp-print
Version: 4.2.5
Release: 0vl4a
License: GPL
Group: System Environment/Libraries
URL: http://gimp-print.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: gimp-print-4.2.1-no-kitload.patch
Patch1: gimp-print-4.2.5-print.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
These drivers provide printing quality for UNIX/Linux in many cases equal
to or better than proprietary vendor-supplied drivers, and can be used for
many of the most demanding printing tasks.

%package devel
Summary: Files for developing applications that use gimp-print.
Requires: %{name} = %{version}
Group: Development/Libraries

%description devel
The header files, static library, libtool library and man pages for
developing applications that use gimp-print.

%package -n gimp-print-cups
Summary: CUPS drivers for Canon, Epson, HP and compatible printers
%ifnos darwin
Requires: cups >= 1.1.17
%endif
BuildRequires: cups-devel
Group: Applications/Publishing

%description -n gimp-print-cups
gimp-print-cups provides native CUPS support for a wide range of Canon,
Epson, HP and compatible printers.

%prep
%setup -q
%patch0 -p1 -b .no-kitload
%patch1 -p1 -b .print

%build
%configure --with-cups

make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
%makeinstall cups_prefix=%{buildroot}/usr \
	cups_exec_prefix=%{buildroot}/usr \
	cups_bindir=%{buildroot}/usr/bin \
	cups_conf_datadir=%{buildroot}/usr/share/cups \
	cups_conf_serverbin=%{buildroot}%{__libexecdir}/cups \
	cups_conf_serverroot=%{buildroot}%{_sysconfdir}/cups
%ifos darwin
mkdir -p %{buildroot}/usr/bin
mv %{buildroot}%{_bindir}/cups* %{buildroot}/usr/bin/
gzip %{buildroot}%{_infodir}/*.info*
%endif


# Don't install this, since we don't list it in the manifest.
rm -f %{buildroot}%{_infodir}/dir

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%{__defattr}
%doc README COPYING
%ifnos darwin
%{_libdir}/*.so.*
%else
%{_libdir}/*.dylib
%endif
%{_infodir}/gimpprint*
%{_datadir}/gimp-print
%{_mandir}/man7/*

%files devel
%{__defattr}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/*.a
%ifnos darwin
%{_libdir}/*.so
%else
%{_libdir}/libgimpprint.dylib
%endif
%{_libdir}/*.la
%{_bindir}/gimpprint-config
%{_mandir}/man1/gimpprint-config.1*
%{_mandir}/man3/*
%{_datadir}/aclocal/gimpprint.m4

%files cups
%{__defattr}
%{_mandir}/man8/cups-calibrate.8*
%{__libexecdir}/cups/backend/*
%{__libexecdir}/cups/filter/*
/usr/bin/cups-calibrate
/usr/share/cups/calibrate.ppm
%dir /usr/share/cups/model/*
/usr/share/cups/model/*/*
%config %{_sysconfdir}/cups/*

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/gimpprint.info.gz %{_infodir}/dir

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gimpprint.info.gz %{_infodir}/dir
fi

%post -n gimp-print-cups
/sbin/install-info %{_infodir}/gimpprint.info.gz %{_infodir}/dir
/sbin/ldconfig
  # First install.
%ifnos darwin
if [ $1 -eq 1 ]; then
  /sbin/service cups reload >/dev/null 2>&1 || :
fi
%endif
exit 0

%preun -n gimp-print-cups
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gimpprint.info.gz %{_infodir}/dir
fi

%postun -n gimp-print-cups
/sbin/ldconfig
%ifnos darwin
if [ "$1" -ge "1" ]; then
  /sbin/service cups reload >/dev/null 2>&1 || :
fi
%endif
exit 0

%changelog
* Thu May 1 2003 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build on MacOS X 10.2
